Rudiments: signalmanager Class Reference

Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
signalmanager Class Reference

## Static Public Member Functions
static bool | sendSignal (pid_t processid, int32_t signum)
static bool | raiseSignal (int32_t signum)
static uint32_t | alarm (uint32_t seconds)
static bool | ignoreSignals (const signalset *sset)
static bool | waitForSignals (const signalset *mask)
static bool | examineBlockedSignals (signalset *sset)

## Detailed Description

The signalmanager class provides methods for sending, blocking and waiting for signals.

## Member Function Documentation

static uint32_t signalmanager::alarm | ( | uint32_t | seconds | ) |
| static

Sends signal SIGALRM to self after "seconds" have elapsed. If "seconds" is 0, the alarm is disabled. Calling this method cancels any previously set alarm.

Returns the number of seconds that were remaining until any previously scheduled alarm was to be delivered or 0 if there was no previously scheduled alarm.

static bool signalmanager::examineBlockedSignals | ( | signalset * | sset | ) |
| static

Sets "sset" to the set of signals that were raised, but blocked during a call to waitForSignals(). Returns true on success and false on failure.

static bool signalmanager::ignoreSignals | ( | const signalset * | sset | ) |
| static

Ignore signal "signum". Returns true on success and false on failure.

static bool signalmanager::raiseSignal | ( | int32_t | signum | ) |
| static

Send signal "signum" to self. Returns true on success and false on failure.

static bool signalmanager::sendSignal | ( | pid_t | processid,
|  | int32_t | signum
| ) |  |
| static

Send signal "signum" to process "processid". Returns true on success and false on failure.

static bool signalmanager::waitForSignals | ( | const signalset * | mask | ) |
| static

Wait until a signal NOT in the signal set "mask" is received. Returns true on success and false on failure.